### File

`packages/eui/packages/components-next/src/lib/components/eui-autocomplete/testing/eui-autocomplete-chips-test.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-autocomplete-test-component`
template |
    <form [formGroup]="form">
        <eui-autocomplete
            #autocomplete
            [hasChips]="true"
            formControlName="autocomplete"
            [autocompleteData]="autocompleteDataFormAutocomplete">
        </eui-autocomplete><br/>
        <input class="default-formcontrol" type="text" formControlName="text">
    </form>

### Index

###### Properties
autocomplete Public autocompleteDataFormAutocomplete Public form

### Properties

autocomplete
Type : `EuiAutocompleteComponent`
Decorators : `@ViewChild('autocomplete')`

Public autocompleteDataFormAutocomplete
Type : `EuiAutoCompleteItem[]`
Default value : `[ new EuiAutoCompleteItem({ id: 1, label: 'Lemon', typeClass: 'primary', isOutline: true }), new EuiAutoCompleteItem({ id: 2, label: 'Lime', typeClass: 'secondary', isRounded: true }), new EuiAutoCompleteItem({ id: 3, label: 'Apple', typeClass: 'info', sizeClass: 'euiSizeS' }), new EuiAutoCompleteItem({ id: 4, label: 'Orange', typeClass: 'success', isRemovable: false }), new EuiAutoCompleteItem({ id: 5, label: 'Strawberry', typeClass: 'warning' }), new EuiAutoCompleteItem({ id: 6, label: 'Peer', typeClass: 'danger', isRemovable: false }), ]`

Public form
Type : `FormGroup`

# result-matching ""

# No results matching ""